
Redmine - Defect #9899

Return 404 when trying to delete attachment file in wiki. 

2012-01-01 09:23 - Ilya Tsemenko

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Wiki Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 1.3.0

Description

Got 404 when trying to delete attached file in wiki section.

I have two separate hosts running similar environment, with 1.3.0 Redmine's, trunk changeset 8228

Processing AttachmentsController#398 (for 59.120.172.71 at 2012-01-01 08:18:53) [POST]

  Parameters: {"action"=>"398", "authenticity_token"=>"7pqBjXluQaYfW07miFv54fCCZs6gJoaaj8Oq6mfKluw

=", "controller"=>"attachments"}

Rendering template within layouts/base

Rendering common/error (404)

Filter chain halted as [:find_project] rendered_or_redirected.

Completed in 134ms (View: 114, DB: 9) | 404 Not Found [http://dev.xdevs.com/attachments/398]

 Same problem exist on both hosts.

Any ideas how to fix this issue? I tried on online redmine demo - no issue detected, but it's trunk version seems older. Thanks.

My systems environment:

# ruby script/about 

About your application's environment

Ruby version              1.8.7 (i386-freebsd8)

RubyGems version          1.3.7

Rack version              1.1.2

Rails version             2.3.14

Active Record version     2.3.14

Active Resource version   2.3.14

Action Mailer version     2.3.14

Active Support version    2.3.14

Application root          /usr/local/www/redmine

Environment               development

Database adapter          postgresql

Database schema version   20110902000000

About your Redmine plugins

Contacts plugin              2.2.2-light

Redmine Todo Lists plugin    0.0.4.3

Redmine Schedules plugin     0.4.2

Redmine Light Box plugin     0.0.1

Graphviz Wiki-macro Plugin   0.2.1

 Second

redmine# ruby script/about

About your application's environment

Ruby version              1.8.7 (i386-freebsd7)

RubyGems version          1.6.2

Rack version              1.1.2

Rails version             2.3.14

Active Record version     2.3.14

Active Resource version   2.3.14

Action Mailer version     2.3.14

Active Support version    2.3.14
Application root          /usr/local/www/redmine

Environment               development

Database adapter          postgresql

Database schema version   20110902000000

About your Redmine plugins

Redmine Light Box plugin     0.0.1

Graphviz Wiki-macro Plugin   0.2.1

Contacts plugin              2.2.2-light

Redmine Todo Lists plugin    0.0.4.3

Redmine Schedules plugin     0.4.2

History

#1 - 2012-01-01 13:05 - Zazvonnyh Alexsey

i did have same bug,

i my case this because using not updated lightbox plugin.

#2 - 2012-01-01 15:52 - Ilya Tsemenko

- Status changed from New to Resolved

Thanks.

Downloaded latest lightbox plugin (SAME 0.0.1 version, stupid numbering) from github, it fixed problem.

Decided to remove lightbox plugin completely tho, works ok. I don't like idea using 0.0.1 version plugins anymore :)

#3 - 2012-01-03 10:09 - Etienne Massip

- Status changed from Resolved to Closed

- Resolution set to Invalid
